Gallery Platform API
Reference

List a show's installation images

Lists a show's installation images in display order, each with a short-lived signed download URL.

GET
/gallery/shows/{showId}/images

Lists a show's installation images in display order, each with a short-lived signed download URL.

Authorization

bearerAuth shows:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: shows:read

Path Parameters

showId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "show_id": "string",      "storage_path": "string",      "url": "string",      "alt_text": "string",      "width": -9007199254740991,      "height": -9007199254740991,      "position": -9007199254740991,      "created_at": "string"    }  ]}